LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux From Scratch (https://www.linuxquestions.org/questions/linux-from-scratch-13/)
-   -   failed make check on:Linux from Scratch - Version SVN-20050524 - 6.11. Glibc-2.3.5 (https://www.linuxquestions.org/questions/linux-from-scratch-13/failed-make-check-on-linux-from-scratch-version-svn-20050524-6-11-glibc-2-3-5-a-328410/)

jery_wang2002 05-29-2005 11:02 PM

failed make check on:Linux from Scratch - Version SVN-20050524 - 6.11. Glibc-2.3.5
 
Hi,

I use Linux From Scratch - Version SVN-20050524.

I successfully build up to chapter 6, i.e., 6.11. Glibc-2.3.5, until I tried to

make check

It failed complaining -file not found-, I think related to nptl thing. I am so sorry I cannot give details at this moment, tonight I will run it again and capture the error. It was early morning and I was too tired to post this.

My question, has anyone tried the LFS SVC-20050524?
And of course whether anyone sucessfully build this svn.

If I were to fix the make check, can someone suggest me where to start?

Thanks,
Jerry

Yerp 05-30-2005 12:01 PM

I've built and rebuilt an LFS system under glibc-2.3.5 and have experienced hell on earth. After many recompiles of the entire system if discovered glibc-2.3.5 causes many problems and corrupts the system...I would highly recommend not using glibc-2.3.5, that is where the bleeding edge makes one die of blood loss.

As far as your vague problem, try redownloading the files where the problem resides.

I have mine working now..with glibc-2.3.4

jery_wang2002 05-30-2005 09:01 PM

Quote:

Originally posted by Yerp
I've built and rebuilt an LFS system under glibc-2.3.5 and have experienced hell on earth. After many recompiles of the entire system if discovered glibc-2.3.5 causes many problems and corrupts the system...I would highly recommend not using glibc-2.3.5, that is where the bleeding edge makes one die of blood loss.

As far as your vague problem, try redownloading the files where the problem resides.

I have mine working now..with glibc-2.3.4

I find that in my LFS SVN 20050524 build process, glibc 2.3.5 failed on make check. Other than that, it compiled successfully and Gcc 3.4.4 was also compiled successfully.

I am now chroot-ing and building the rest of the component. So far, I have built Perl 5.8.6 without any problem. But, hey, wait until I boot into the freshly built LFS SVN 20050524, maybe i need blood transfusion, :D

Have you tried to use gcc 4.0?

Yerp 06-02-2005 02:44 PM

trying gcc 4.0 requires using competent code, gcc 3.3 and earlier auto-fixed bad programming <-- allowing for bad practice.

This may be a little harsh, but this is what I got for assuming that big/popular projects were well designed. Many of these projects have pathetic code in certain spots..(side-effect of open-source I guess..). But again, because it is open-source these overlooked problems can be fixed.

I had nothing against these programs until I was forced to look into the source code to attempt to figure out why a good number don't make and then the random segmentation faults that occured. I never new these problems existed until I ran the system for some time and the system started acting like Windows, crash here, crash there, no reason for the crashes in sight..

Most of the glibc patches for different programs during the lfs install that were necessary to be applied consist of similar problems..

For these reasons I am not switching to gcc-3.4 or gcc-4.0 until some time from now, while code gets cleaned up.


All times are GMT -5. The time now is 11:14 PM.